=== libclamav/c++/llvm/lib/CodeGen/AsmPrinter/CMakeLists.txt ===
add_llvm_library(LLVMAsmPrinter
  AsmPrinter.cpp
  DIE.cpp
  DwarfDebug.cpp
  DwarfException.cpp
  DwarfLabel.cpp
  DwarfPrinter.cpp
  DwarfWriter.cpp
  OcamlGCPrinter.cpp
  )
