## clamav 0.96.4+dfsg

=== libclamav/c++/llvm/utils/Makefile ===
##===- utils/Makefile --------------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ..
PARALLEL_DIRS := TableGen fpcmp PerfectShuffle FileCheck FileUpdate count not unittest

EXTRA_DIST := cgiplotNLT.pl check-each-file codegen-diff countloc.sh cvsupdate \
              DSAclean.py DSAextract.py emacs findsym.pl GenLibDeps.pl \
	      getsrcs.sh importNLT.pl llvmdo llvmgrep llvm-native-gcc \
	      llvm-native-gxx makellvm NightlyTest.gnuplot NightlyTest.pl \
	      NightlyTestTemplate.html NLT.schema OldenDataRecover.pl \
	      parseNLT.pl plotNLT.pl profile.pl RegressionFinder.pl userloc.pl \
	      webNLT.pl vim

include $(LEVEL)/Makefile.common
