## clamav 0.98.1%2Bdfsg

=== debian/changelog ===
clamav (0.98.1+dfsg-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Mar 2014 08:59:31 -0400

clamav (0.98.1+dfsg-4) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Postinst scripts: fix empty access and broken freshclam.conf in
    clamav-base.postinst.in and clamav-freshclam.postinst.in (Closes: #741675)
    (LP: #1293042)
  * Postinst scripts: fix quoting

  [ Andreas Cadhalpun ]
  * Add templates and adapt postinst and config scripts for the new options
    in 0.98 to fix the creation of the configuration files (Closes: #741675)
    (LP: #1293042)
  * Reset new options to default to fix breakage in previous upload
  * Automatically updated translation files

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Mar 2014 12:10:51 -0400

clamav (0.98.1+dfsg-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Mar 2014 12:47:13 -0400

clamav (0.98.1+dfsg-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Switch to format 3.0 (quilt) to enable use of git-dpm
  * Extract existing inline changes into new commits/dpm patches
    - Change paths in sample conf file to match Debian
    - Add patch so that RAR tests are not expected to pass with RAR disabled 
    - Add 0003-configure-use-pkg-config-for-check-so-test-is-detect.patch 
    - Add 0004-Stop-using-a-cargo-culted-syscall-table-and-trust-th.patch
    - Add 0005-configure.ac-patches-to-got-with-autoreconf-and-auto.patch
    - Add 0006-Fix-STAT64-definition-and-add-missing-includes.patch 
  * Fix vcs-field-not-canonical for both git and web access
  * Add libxml2-dev to build-depends for dmg and xar support
  * Add options in debian/clamav-base.postinst.in, clamav-daemon.postinst.in,
    clamav-freshclam.postinst.in, and clamav-milter.postinst.in for new 0.98
    series options
  * Disable LLVM for hurd/ports that don't support it

  [ Andreas Cadhalpun ]
  * Remove unneccesary '-i' option from dh_autoreconf
  * Remove trailing \ from --with-dbdir path to avoid resulting paths with \\
  * Add debian/upstream/signing-key.asc and a lintian-override for the
    lintian bug and update the watchfile
  * debian/clamav-base.postinst.in: Update to reflect the change from
    examples/clamd.conf to examples/clamd.conf.sample (Closes: #741512)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Mar 2014 16:30:45 -0400

clamav (0.98.1+dfsg-2ubuntu2) trusty; urgency=medium

  * Build without LLVM support on ppc64el to fix test failures.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Mar 2014 15:18:32 +0000

clamav (0.98.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Mar 2014 23:59:25 -0500

clamav (0.98.1+dfsg-2) unstable; urgency=medium

  [ Adam Conrad ]
  * Stop using a cargo-culted syscall table and trust the glibc headers
    (Closes: #733035)

  [ Louis Bouchard ]
  * debian/common_functions
    - Fix slurp_config() that is sometimes not discriminative
      enough which leads to invalid configuration files (LP: #799623 )

  [ Yolanda Robla ]
  * Add autopkgtests (Closes: #710260)

  [ Sebastian Andrzej Siewior ]
  * unit_test: check_clamav: skip .rar files if there is no rar support to fix
    test failure (and FTBFS) when tests are run
  * configure: use pkg-config for check so test is detected and tests will run

  [ Scott Kitterman ]
  * Add pkg-config to build-depends
  * Remove rule that touched libclamav/version.h since it is no longer missing
    in 0.98.1

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Mar 2014 16:49:54 -0500

clamav (0.98.1+dfsg-1ubuntu5) trusty; urgency=low

  * debian/common_functions
    - Fix slurp_config() that is sometimes not discriminative
    enough which leads to invalid configuration files (LP: #799623)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 10 Feb 2014 17:56:52 +0100

clamav (0.98.1+dfsg-1ubuntu4) trusty; urgency=medium

  * Stop using a cargo-culted syscall table and trust the glibc headers.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 03 Feb 2014 17:04:49 -0700

clamav (0.98.1+dfsg-1ubuntu3) trusty; urgency=low

  * Add #ifndef __NR_fanotify_init in clamd/fan-syscalllib.h to avoid local
    definitions when already defined and FTBFS if local definition is missing
    - Fix for FTBFS on arm64

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Feb 2014 13:24:29 -0500

clamav (0.98.1+dfsg-1ubuntu2) trusty; urgency=low

  * Really drop build-dep on electric-fence (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Feb 2014 14:42:28 -0500

clamav (0.98.1+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes
    - Add autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Feb 2014 11:06:17 -0500

clamav (0.98.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - Update embedded-library override for modified zlib for new SO version
  * Add definitions in clamd/fan-syscalllib.h for missing arches to fix FTBFS
    (Closes: #737119)
    - Thanks to Andreas Cadhalpun for the patch
  * Really use autoreconf (Closes: #727291) again
    - Thanks to Andreas Cadhalpun for the corrected patch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Jan 2014 23:03:09 -0500


