## clamav 0.98.1+dfsg

=== libclamav/c++/llvm/lib/System/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,12 @@
   Process.cpp
   Program.cpp
   RWMutex.cpp
+  SearchForAddressOfSpecialSymbol.cpp
   Signals.cpp
   ThreadLocal.cpp
   Threading.cpp
   TimeValue.cpp
+  Valgrind.cpp
   Unix/Alarm.inc
   Unix/Host.inc
   Unix/Memory.inc
