=== libclamav/c++/llvm/lib/Target/PowerPC/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   PPCRegisterInfo.cpp
   PPCSubtarget.cpp
   PPCTargetMachine.cpp
+  PPCSelectionDAGInfo.cpp
   )
 
 target_link_libraries (LLVMPowerPCCodeGen LLVMSelectionDAG)
