=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)(rc)/$1~$2/,dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/" \
http://sf.net/clamav/clamav-(.*).tar.gz debian uupdate
